Debian Bug report logs - #427854
mercurial: hg email doesn't use correct encoding

version graph

Package: mercurial; Maintainer for mercurial is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for mercurial is src:mercurial.

Reported by: "Wesley J. Landaker" <wjl@icecavern.net>

Date: Wed, 6 Jun 2007 22:21:06 UTC

Severity: normal

Tags: confirmed, moreinfo, upstream

Found in version mercurial/0.9.3-2

Fixed in version mercurial/1.1.2-1

Done: Vincent Danjean <vdanjean@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.selenic.com/mercurial/bts/issue814

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#427854; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
New Bug report received and forwarded. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mercurial: hg email doesn't use correct encoding
Date: Wed, 06 Jun 2007 16:20:03 -0600
Package: mercurial
Version: 0.9.3-2
Severity: normal

hg email (the patchbomb extension) doesn't send patches encoded
properly. Everything in my repo is UTF-8, and I am running with a UTF-8
locale, and all the default encoding stuff for mercurial is set to fall
back to UTF-8, etc.

However, when I send a patch (of a UTF-8 file) the mail header has:

Content-Type: text/plain;
  charset="us-ascii"

This of course totally breaks the patch for the recipient, unless they
know how to manually work around it.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (40, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.20 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mercurial depends on:
ii  libc6                         2.5-10     GNU C Library: Shared libraries
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-support                0.6.4      automated rebuilding support for p
ii  python2.4                     2.4.4-4    An interactive high-level object-o

Versions of packages mercurial recommends:
pn  kdiff3 | tkdiff | rcs         <none>     (no description available)
pn  tk8.4 | wish                  <none>     (no description available)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#427854; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #10 received at 427854@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: 427854@bugs.debian.org
Subject: Working this upstream
Date: Sat, 14 Jul 2007 10:53:26 -0600
[Message part 1 (text/plain, inline)]
FYI, I am working this upstream.

-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#427854; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <Vincent.Danjean@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #15 received at 427854@bugs.debian.org (full text, mbox):

From: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
To: "Wesley J. Landaker" <wjl@icecavern.net>
Cc: 427854@bugs.debian.org, control@bugs.debian.org
Subject: mercurial: hg email doesn't use correct encoding
Date: Sun, 28 Oct 2007 21:21:26 +0100
tag 427854 + moreinfo confirmed upstream
thanks

  Hi,

  Same thing for this bug.
  Can you confirm me that the bug you report has been fixed by the
current version (0.9.4) ? If not, can you also check with 0.9.5 ?
  Note: I will upload the package for 0.9.5 in a few days, no need to
download it from upstream. But if your bug in fixed in 0.9.4, I will
close the bug in the 0.9.5 changelog

  Best regards,
    Vincent




Tags added: moreinfo, confirmed, upstream Request was from Vincent Danjean <Vincent.Danjean@ens-lyon.org> to control@bugs.debian.org. (Sun, 28 Oct 2007 20:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#427854; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #22 received at 427854@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
Cc: 427854@bugs.debian.org
Subject: Re: mercurial: hg email doesn't use correct encoding
Date: Sun, 28 Oct 2007 14:53:42 -0600
[Message part 1 (text/plain, inline)]
On Sunday 28 October 2007 14:21:26 Vincent Danjean wrote:
>   Same thing for this bug.
>   Can you confirm me that the bug you report has been fixed by the
> current version (0.9.4) ? If not, can you also check with 0.9.5 ?
>   Note: I will upload the package for 0.9.5 in a few days, no need to
> download it from upstream. But if your bug in fixed in 0.9.4, I will
> close the bug in the 0.9.5 changelog

This bug still exists in 0.9.5.


-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Danjean <vdanjean@debian.org>:
Bug#427854; Package mercurial. Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <Vincent.Danjean@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Vincent Danjean <vdanjean@debian.org>. Full text and rfc822 format available.

Message #27 received at 427854@bugs.debian.org (full text, mbox):

From: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
To: Mercurial issue tracker <mercurial-bugs@selenic.com>
Cc: "Wesley J. Landaker" <wjl@icecavern.net>, 427854@bugs.debian.org
Subject: [issue] mercurial: hg email doesn't use correct encoding [priority=bug]
Date: Fri, 02 Nov 2007 15:41:12 +0100
  Hi,

  This is the Debian bug #427854 ( http://bugs.debian.org/427854 )
The submitter is working on it upstream. It is still present in 0.9.5

  Best regards,
    Vincent

Wesley J. Landaker wrote:
> Package: mercurial
> Version: 0.9.3-2
> Severity: normal
> 
> hg email (the patchbomb extension) doesn't send patches encoded
> properly. Everything in my repo is UTF-8, and I am running with a UTF-8
> locale, and all the default encoding stuff for mercurial is set to fall
> back to UTF-8, etc.
> 
> However, when I send a patch (of a UTF-8 file) the mail header has:
> 
> Content-Type: text/plain;
>   charset="us-ascii"
> 
> This of course totally breaks the patch for the recipient, unless they
> know how to manually work around it.
> 
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (40, 'experimental')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.20 (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages mercurial depends on:
> ii  libc6                         2.5-10     GNU C Library: Shared libraries
> ii  python                        2.4.4-6    An interactive high-level object-o
> ii  python-support                0.6.4      automated rebuilding support for p
> ii  python2.4                     2.4.4-4    An interactive high-level object-o
> 
> Versions of packages mercurial recommends:
> pn  kdiff3 | tkdiff | rcs         <none>     (no description available)
> pn  tk8.4 | wish                  <none>     (no description available)
> 
> -- no debconf information
> 





Noted your statement that Bug has been forwarded to http://www.selenic.com/mercurial/bts/issue814. Request was from Vincent Danjean <vdanjean@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2007 15:00:10 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Vincent Danjean <vdanjean@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2007 19:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>:
Bug#427854; Package mercurial. (Sun, 19 Oct 2008 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Arendsen Hein <thomas@intevation.de>:
Extra info received and forwarded to list. Copy sent to Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>. (Sun, 19 Oct 2008 20:36:04 GMT) Full text and rfc822 format available.

Message #36 received at 427854@bugs.debian.org (full text, mbox):

From: Thomas Arendsen Hein <thomas@intevation.de>
To: "Wesley J\. Landaker" <wjl@icecavern.net>, 427854@bugs.debian.org
Subject: Re: Bug#427854: mercurial: hg email doesn't use correct encoding
Date: Sun, 19 Oct 2008 22:34:14 +0200
[Message part 1 (text/plain, inline)]
* Wesley J. Landaker <wjl@icecavern.net> [20071028 21:03]:
> This bug still exists in 0.9.5.

This bug was fixed in the main repository in the four changesets
30e49d54c537 to ceb8aef03aa7, so it will be in Mercurial 1.1.

Due to the size and user visibility of the changes it will probably
not be backported to the 1.0.x series.

Regards,
Thomas Arendsen Hein

-- 
thomas@intevation.de - http://intevation.de/~thomas/ - OpenPGP key: 0x5816791A
Intevation GmbH, Neuer Graben 17, 49074 Osnabrueck - AG Osnabrueck, HR B 18998
Geschaeftsfuehrer: Frank Koormann, Bernhard Reiter, Dr. Jan-Oliver Wagner
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from vt-guest@users.alioth.debian.org to control@bugs.debian.org. (Sat, 03 Jan 2009 09:21:07 GMT) Full text and rfc822 format available.

Reply sent to Vincent Danjean <vdanjean@debian.org>:
You have taken responsibility. (Sat, 17 Jan 2009 18:09:03 GMT) Full text and rfc822 format available.

Notification sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Bug acknowledged by developer. (Sat, 17 Jan 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #43 received at 427854-close@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: 427854-close@bugs.debian.org
Subject: Bug#427854: fixed in mercurial 1.1.2-1
Date: Sat, 17 Jan 2009 17:47:10 +0000
Source: mercurial
Source-Version: 1.1.2-1

We believe that the bug you reported is fixed in the latest version of
mercurial, which is due to be installed in the Debian FTP archive:

mercurial-common_1.1.2-1_all.deb
  to pool/main/m/mercurial/mercurial-common_1.1.2-1_all.deb
mercurial_1.1.2-1.diff.gz
  to pool/main/m/mercurial/mercurial_1.1.2-1.diff.gz
mercurial_1.1.2-1.dsc
  to pool/main/m/mercurial/mercurial_1.1.2-1.dsc
mercurial_1.1.2-1_amd64.deb
  to pool/main/m/mercurial/mercurial_1.1.2-1_amd64.deb
mercurial_1.1.2.orig.tar.gz
  to pool/main/m/mercurial/mercurial_1.1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 427854@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Danjean <vdanjean@debian.org> (supplier of updated mercurial package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Jan 2009 17:33:46 +0100
Source: mercurial
Binary: mercurial mercurial-common
Architecture: all amd64 source 
Version: 1.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Vincent Danjean <vdanjean@debian.org>
Closes: 427854 447088 476885 491109 494889 499846 503865 503997 506694 511872
Description:
 mercurial-common - scalable distributed version control system (common files)
 mercurial  - scalable distributed version control system
Changes:
 mercurial (1.1.2-1) unstable; urgency=low
 .
   [ Vernon Tang ]
   * New upstream release (closes: #499846)
     Also resolves the following Debian bugs:
     - mq corrupts repository on file rename (closes: #503997)
     - failing import breaks Python help (closes: #476885)
     - hg email doesn't use correct encoding (closes: #427854)
     - error when loading extensions twice (closes: #447088)
     - static-http does not work with old layout repositories (closes: #494889)
     - hgwebdir.cgi goes into endless loop when viewing moved files
       (closes: #506694)
 .
   * Install hg-ssh (ssh login shell for an hg server) system-wide.
   * Don't enable extensions by default. (closes: #511872, #503865, #491109)
 .
   * debian/control:
     - Moved dependencies to mercurial-common where appropriate
     - Removed Recommends: python-beaker (not a Mercurial dependency)
     - Removed 'convert' extension dependencies from Suggests:
       (convert depends on many of the other SCMs it can convert from)
     - Added python-openssl to Suggests for "hg serve" HTTPS support.
   * debian/hgext.rc: updated for 1.1.2.
   * debian/mercurial*, debian/rules: general cleanup.
   * debian/README.Debian: updated, proofread, and corrected.
   * debian/patches:
     - Added headers.
     - Added:
       - deb_specific__install-templates-separately
         (patch template search path to /usr/share instead of symlinking from
         the module directory)
       - backport__zeroconf-doc, proposed_upstream__correct-zeroconf-doc
       - deb_specific__mergetools
     - Renamed deb_specific__ElementTree_for_darcs.patch to
       deb_specific__optional-dependencies and updated to suggest Debian
       packages for more optional dependencies
     - Dropped:
       - proposed_upstream__extension_syntax.patch
       - deb_specific__FAQ_subst.patch
       - deb_specific__bash_completion_global_option_already_set.patch
       - backport__CVE-2008-2942-fix.patch
       - backport__svn1.5-fix.patch
     - Refreshed:
       - deb_specific__use_sensible-editor.patch
       - deb_specific__hgk.py.patch
       - convert-darc-doc.patch
 .
   [ Sandro Tosi ]
   * debian/control
     - switch Vcs-Browser field to viewsvn
 .
   [ Marco Rodrigues ]
   * debian/control:
     + Add ${misc:Depends} to Depends to remove
       lintian warning.
 .
   [ Vincent Danjean ]
   * Document the fact that extensions are not enabled by default anymore
     in the NEWS file
   * big thanks to Vernon Tang for its work
   * upload the package
Checksums-Sha1: 
 1fec0fc85a70c7e278b86ce83010407dca17842a 54024 mercurial_1.1.2-1_amd64.deb
 76026dbcdac20711401128ba023b094e7ff0a133 1442 mercurial_1.1.2-1.dsc
 9f6e29d41072dd1b7ac9a2cfded89af6419aabff 26832 mercurial_1.1.2-1.diff.gz
 b0f77198a96474fc72d38904ce60b007e4c7cc1a 952241 mercurial_1.1.2.orig.tar.gz
 f915edf28a585c8750bb3838e28a94218f506443 581288 mercurial-common_1.1.2-1_all.deb
Checksums-Sha256: 
 341605fcdfc48782b69d1644b2782501c6d04159c7350fd352062b2c2e0da24d 26832 mercurial_1.1.2-1.diff.gz
 4c827503dd45b24a5dcf2a13f006300a4d7c123069ea706e8ef050b14c5217b1 54024 mercurial_1.1.2-1_amd64.deb
 6b4b41f817d3f75c8e3e4dd8b989aaeef47feb61a207a1282a5f744066e2008d 1442 mercurial_1.1.2-1.dsc
 980d296d86a5d3e90db1fcfae33a879666d5bcca12b4889dba61cc87397f8148 581288 mercurial-common_1.1.2-1_all.deb
 dd18a3c3821d1638f202b4212a02b9349acac9333785e96e9a8119f6c21d5e44 952241 mercurial_1.1.2.orig.tar.gz
Files: 
 4186b856d7041a6688d37981e9134c71 581288 devel optional mercurial-common_1.1.2-1_all.deb
 4fd3b9a2e5dcd025840c3849b136bec8 952241 devel optional mercurial_1.1.2.orig.tar.gz
 a355b94a53f00f870c7cc2a4b7591ff1 1442 devel optional mercurial_1.1.2-1.dsc
 d732de84d8f9d7450004f07a96ce77a7 54024 devel optional mercurial_1.1.2-1_amd64.deb
 da586067eace2e7feb897c4ba668002f 26832 devel optional mercurial_1.1.2-1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJchZAC/d4Z50CXocRAjBJAJ9WuVH2Nqhis01wDJK1XhuERR5oFACfdGT1
2LMHvylhyJO54NqO849iINs=
=jKMQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jul 2009 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:06:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.